unit Unit2;
{Pantalla principal de la fuente de alimentación}
interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, MPlayer,unitgen, StdCtrls, ExtCtrls, SensMap, Menus,
  uprompm;

type
  TForm2 = class(TForm)
    MediaPlayerpromax: TMediaPlayer;
    Image1: TImage;
    Image2: TImage;
    MainMenu1: TMainMenu;
    Opciones1: TMenuItem;
    Panelfrontal1: TMenuItem;
    Ayuda1: TMenuItem;
    Ayuda2: TMenuItem;
    Cuestiones1: TMenuItem;
    N1: TMenuItem;
    Volver1: TMenuItem;
    Notasgenerales1: TMenuItem;
    Conexinatierra1: TMenuItem;
    Puestaenmarcha1: TMenuItem;
    procedure FormShow(Sender: TObject);
    procedure Volver1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Panelfrontal1Click(Sender: TObject);
    procedure Conexinatierra1Click(Sender: TObject);
    procedure Puestaenmarcha1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.FormShow(Sender: TObject);
begin
if sonido then mediaplayerpromax.play;
end;

procedure TForm2.Volver1Click(Sender: TObject);
begin
if (notaabierta <> []) then
   if panelabierto then
      Application.MessageBox('Cierre antes las notas abiertas y el panel frontal.', 'Existen notas abiertas',
                                     MB_ICONEXCLAMATION)
   else
       Application.MessageBox('Cierre antes las notas abiertas.', 'Existen notas abiertas',
                                      MB_ICONEXCLAMATION)
else
    if panelabierto then
       Application.MessageBox('Cierre antes el panel frontal.', 'El panel está abierto',
                                      MB_ICONEXCLAMATION)
    else
       promaxppal;
end;

procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
begin
if (notaabierta <> []) then begin
   Action:=caNone;
   if panelabierto then
      Application.MessageBox('Cierre antes las notas abiertas y el panel frontal.', 'Existen notas abiertas',
                                     MB_ICONEXCLAMATION)
   else
       Application.MessageBox('Cierre antes las notas abiertas.', 'Existen notas abiertas',
                                      MB_ICONEXCLAMATION)
   end
else
    if panelabierto then begin
       Action:=caNone;
       Application.MessageBox('Cierre antes el panel frontal.', 'El panel está abierto',
                                      MB_ICONEXCLAMATION)
       end
       else
           promaxppal;
end;

procedure TForm2.Panelfrontal1Click(Sender: TObject);
begin
if panelabierto = false then
   begin
   panelabierto:=true;
   promaxfrontpanel;
   end;
end;

procedure TForm2.Conexinatierra1Click(Sender: TObject);
begin
Application.MessageBox( '    Es norma de seguridad conectar el aparato a "tierra". Para ello va provisto de una toma'+
                        ' de red normalizada. En caso de no disponer de toma de "tierra" en la red, el aparato'+
                        ' va provisto de un borne adecuado en el panel frontal.',
                        'Conexión a tierra', mb_OK);
end;

procedure TForm2.Puestaenmarcha1Click(Sender: TObject);
begin
if not(1 in notaabierta) then
begin
     application.createform(TFormPromaxPuestaMarcha,FormPromaxPuestaMarcha);
     FormPromaxPuestaMarcha.show;
end;
notaabierta:=[1];
end;
procedure TForm2.FormCreate(Sender: TObject);
begin
notaabierta:=[];
end;

end.
